VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends Groups Pages
Public Member Functions | List of all members
Modifiers Struct Reference
Version 4.11

Modifiers. More...

## Public Member Functions
| Modifiers ()=default
| Modifiers (const Modifiers &)=default
| Modifiers (ModifierKey modifier)
Modifiers & | operator= (const Modifiers &)=default
bool | empty () const
| test if no modifier key is set
bool | has (ModifierKey modifier) const
| test if modifier key is set
bool | is (ModifierKey modifier) const
| test if modifier key is set exclusively
bool | is (const std::initializer_list< ModifierKey > &modifiers) const
| test if the modifier keys are set exclusively
bool | operator| (ModifierKey modifier) const
| test if modifier key is set
bool | operator== (ModifierKey modifier) const
| test if modifier key is set exclusively
void | add (ModifierKey modifier)
| add a modifier key
void | remove (ModifierKey modifier)
| remove a modifier key
void | clear ()
| clear all modifiers
Modifiers & | operator= (ModifierKey modifier)
| set to one modifier key
bool | operator== (const Modifiers &other) const
| check if equal to other modifiers
bool | operator!= (const Modifiers &other) const
| check if different to other modifiers

## Detailed Description

Modifiers.

## Constructor & Destructor Documentation

Modifiers | ( |  | ) |
| default

Modifiers | ( | const Modifiers & |  | ) |
| default

Modifiers | ( | ModifierKey | modifier | ) |
| inline explicit

## Member Function Documentation

void add | ( | ModifierKey | modifier | ) |
| inline

add a modifier key

void clear | ( |  | ) |
| inline

clear all modifiers

bool empty | ( |  | ) | const
| inline

test if no modifier key is set

bool has | ( | ModifierKey | modifier | ) | const
| inline

test if modifier key is set

bool is | ( | ModifierKey | modifier | ) | const
| inline

test if modifier key is set exclusively

bool is | ( | const std::initializer_list< ModifierKey > & | modifiers | ) | const
| inline

test if the modifier keys are set exclusively

bool operator!= | ( | const Modifiers & | other | ) | const
| inline

check if different to other modifiers

Modifiers& operator= | ( | const Modifiers & |  | ) |
| default

Modifiers& operator= | ( | ModifierKey | modifier | ) |
| inline

set to one modifier key

bool operator== | ( | ModifierKey | modifier | ) | const
| inline

test if modifier key is set exclusively

bool operator== | ( | const Modifiers & | other | ) | const
| inline

check if equal to other modifiers

bool operator| | ( | ModifierKey | modifier | ) | const
| inline

test if modifier key is set

void remove | ( | ModifierKey | modifier | ) |
| inline

remove a modifier key

The documentation for this struct was generated from the following file:

- events.h